Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Lisp Datei für Dynamische Blöcke

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Lisp Datei für Dynamische Blöcke (1246 mal gelesen)
Christian B.
Mitglied



Sehen Sie sich das Profil von Christian B. an!   Senden Sie eine Private Message an Christian B.  Schreiben Sie einen Gästebucheintrag für Christian B.

Beiträge: 86
Registriert: 09.03.2006

erstellt am: 30. Aug. 2009 18:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Hab mal eine Frage als Anfänger...

Ich habe einen Dynamischen Blöck, der Rohre in verschiedenen Längen über den Sichtbarkeitsparameter enthällt.
Wenn ich in einer Zeichnung nun ganz viele Rohre in verschiedenen Längen hätte und nun über ein Lisp-Skript alle ausgewählten Blöcken die "Länge 4,0m" über den Sichtbarkeitsparameter geben will; wie kann ich so etwas in etwa Programmieren?

Freue mich auf Eure Antworten, Christian B.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

One AutoCAD 2.5 - 2020, Civil 3D, Win10

erstellt am: 30. Aug. 2009 21:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Christian B. 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Christian B.:
Hallo,

Hab mal eine Frage als Anfänger...

....
über den Sichtbarkeitsparameter geben will; wie kann ich so etwas in etwa Programmieren?



So in etwa:
Code:
(setq blkProps (vlax-safearray->list (vlax-variant-value (vla-GetDynamicBlockProperties blkObj))))
(foreach blkProp blkProps
  (cond
    ((and (= (vla-Get-PropertyName blkProp) "Anzeige") ...) ; Sichtbarkeitsname
  (vla-Put-Value blkProp "Länge 4,0m") ; Sichtbarkeit
  )
...

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christian B.
Mitglied



Sehen Sie sich das Profil von Christian B. an!   Senden Sie eine Private Message an Christian B.  Schreiben Sie einen Gästebucheintrag für Christian B.

Beiträge: 86
Registriert: 09.03.2006

erstellt am: 31. Aug. 2009 22:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnelle Hilfe, werd ich gleich mal ausprobieren!

Grüße Christian B.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz